package com.huertian.jinduguanli.common;

public class ErrorCode {
    /**
     * 操作成功
     */
    public static final int SUCCESS = 10000;

    /**
     * 系统内部错误
     */
    public static final int SYSTEM_ERROR = 10001;

    /**
     * 参数校验错误
     */
    public static final int INVALID_PARAM = 10002;

    /**
     * 用户不存在
     */
    public static final int USER_NOT_FOUND = 10003;

    /**
     * 用户不存在或已被禁用
     */
    public static final int USER_NOT_FOUND_OR_DISABLED = 10004;

    /**
     * 邮箱已存在
     */
    public static final int EMAIL_EXISTS = 10005;

    /**
     * 业务逻辑错误
     */
    public static final int BUSINESS_ERROR = 10006;

    /**
     * 无效的令牌
     */
    public static final int INVALID_TOKEN = 10007;

    /**
     * 未授权访问
     */
    public static final int UNAUTHORIZED = 10008;

    /**
     * 用户名已存在
     */
    public static final int USERNAME_EXISTS = 10009;

    /**
     * 密码错误
     */
    public static final int PASSWORD_INCORRECT = 10010;

    /**
     * 参数为空
     */
    public static final int PARAM_IS_BLANK = 10011;

    /**
     * 参数错误
     */
    public static final int PARAM_ERROR = 10012;
}
